%define shortname forms

Name:           jgoodies-forms
Version:        1.9.0
Release:        %mkrel 1
Summary:        Framework to lay out and implement elegant Swing panels in Java

Group:          Development/Java
License:        BSD
URL:            https://www.jgoodies.com/freeware/libraries/forms/
# Upstream no longer distributes the library under an Open Source license. Latest
# Open Source release is taken from Maven Central
Source0:        https://repo1.maven.org/maven2/com/jgoodies/%{name}/%{version}/%{name}-%{version}-sources.jar
Source1:        https://repo1.maven.org/maven2/com/jgoodies/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires:  maven-local
BuildRequires:  mvn(com.jgoodies:jgoodies-common)
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

%description
The JGoodies Forms framework helps you lay out and implement elegant Swing
panels quickly and consistently. It makes simple things easy and the hard stuff
possible, the good design easy and the bad difficult.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup -c
mkdir -p src/main/java/
mv com/ src/main/java/

cp %{SOURCE1} pom.xml

# Remove unnecessary dependency on parent POM
%pom_remove_parent

# Remove useless dependency on JUnit (no test available)
%pom_remove_dep junit:junit

%mvn_file :%{name} %{name} %{name}

# Fix source/target version for JDK 17
%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:source" "1.8"
%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:target" "1.8"


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles


%files javadoc -f .mfiles-javadoc



%changelog
* Mon Dec 12 2022 daviddavid <daviddavid> 1.9.0-1.mga9
+ Revision: 1920894
- Update to 1.9.0

* Thu Mar 31 2022 umeabot <umeabot> 1.8.0-8.mga9
+ Revision: 1836524
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.8.0-7.mga8
+ Revision: 1491071
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.8.0-6.mga7
+ Revision: 1262720
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1.8.0-5.mga6
+ Revision: 1103348
- Fix BuildRequires
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 980729
- First rebuild of the java stack
- sync package jgoodies-forms with fedora (update to 1.8.0)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-6.mga5
+ Revision: 750214
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.7.1-4.mga4
+ Revision: 542014
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 1.7.1-3.mga4
+ Revision: 496702
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0:1.4.2-2.mga3
+ Revision: 355382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 0:1.4.2-1.mga3
+ Revision: 331472
- update file list
- update file list
- new version 1.4.2
- new version 1.6.0

* Wed Mar 09 2011 ennael <ennael> 0:1.2.0-0.0.rc2.mga1
+ Revision: 66911
- imported package jgoodies-forms


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0:1.2.0-0.0.rc2mdv2010.0
+ Revision: 429605
- rebuild

* Thu Feb 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.rc1mdv2008.1
+ Revision: 168588
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.0-0.0.3mdv2008.1
+ Revision: 120942
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.0-0.0.2mdv2008.0
+ Revision: 87434
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Thu Aug 23 2007 David Walluck <walluck@mandriva.org> 0:1.1.0-0.0.1mdv2008.0
+ Revision: 70690
- properly format spec
- BuildRequires: java-javadoc
- remove pre-built javadoc in docs/api
- export OPT_JAR_LIST=:
- install %%{name}.jar and %%{_javadocdir}/%%{name} symlinks
- remove (incorrect) javadoc scriptlets
- remove README_RPM.txt
- Import jgoodies-forms



* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.0.7-1mdv2007.0
- release

* Mon Oct 17 2005 Eric Lavarde <rpm@zorglub.s.bawue.de> - 0:1.0.5-2jpp
- corrected error with defattr of javadoc.
- linked api to doc directory to allow for proper (http)linkage.

* Sun Sep 10 2005 Eric Lavarde <rpm@zorglub.s.bawue.de>
- First packaged release
